.showroom-wrapper {
  margin-bottom: 94px;

  .showroom-image {
    display: flex;

    @media (min-width: 320px) and (max-width: 1024px) {
      flex-direction: column;
    }

    img {
      display: flex;
      height: 100%;
      object-fit: cover;
    }

    .product-detail-img-nav {
      width: 76px;
      min-width: 76px;
      margin-right: 24px;
      display: flex;
      align-content: flex-start;
      overflow-y: auto;
      overflow-x: hidden;
      .scrollbar();

      @media (min-width: 1025px) {
        max-height: 440px;
        flex-wrap: wrap;
      }

      @media (min-width: 320px) and (max-width: 1024px) {
        order: 2;
        overflow-x: auto;
      }

      @media (min-width: 768px) and (max-width: 1024px) {
        width: 317px;
      }

      @media (min-width: 320px) and (max-width: 767px) {
        width: 100%;
      }

      .product-detail-mini-img {
        cursor: pointer;
        flex: 1 0 76px;
        height: 76px;
        display: flex;
        align-items: center;

        @media (min-width: 320px) {
          margin: 0px 13px;
        }

        @media (min-width: 1025px) {
          margin: 13px 0px;
        }

        @media (min-width: 768px) and (max-width: 1024px) {
          height: auto;
        }

        @media (min-width: 320px) and (max-width: 767px) {
          height: auto;
        }
      }
    }

    .product-detail-big-imgs {
      max-width: 408px;
      margin-right: 78px;

      @media (min-width: 768px) and (max-width: 1024px) {
        max-width: 317px;
        margin-right: 16px;
      }

      @media (min-width: 320px) and (max-width: 767px) {
        max-width: 100%;
        margin-right: 0;
      }
    }
  }

  .showroom-title {
    @media (min-width: 320px) and (max-width: 540px) {
      order: 1;

      h2 {
        margin-bottom: 16px;
      }
    }
  }

  .showroom-categories {
    margin-bottom: 28px;

    @media (min-width: 320px) and (max-width: 540px) {
      order: 2;
    }

    ul {
      display: flex;
      align-items: center;
      flex-wrap: wrap;
      margin-bottom: 0;
      list-style: none;
      padding-left: 0;
      row-gap: 12px;

      li {
        font-family: 'Roboto';
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 22px;
        color: @g-gray300;
        background-color: @g-gray;
        padding: 4px 22px;
        margin-right: 24px;

        @media (min-width: 768px) and (max-width: 1024px) {
          padding: 4px 14px;
          margin-right: 13px;
        }

        @media (min-width: 320px) and (max-width: 540px) {
          padding: 4px 14px;
          margin-right: 6px;
        }

        a {
          font-family: 'Roboto';
          font-style: normal;
          font-weight: 400;
          font-size: 16px;
          line-height: 22px;
          color: @g-gray300;
          text-decoration: none;
        }
      }
    }
  }

  .showroom-description {
    white-space: pre-line;
    p:last-child {
      margin-bottom: 24px;
    }
  }

  .showroom-favorite {
    margin-top: auto;

    @media (min-width: 320px) and (max-width: 540px) {
      margin-top: 12px;
    }

    label {
      background-color: transparent;
      border-width: 0;
      padding: 0;
      display: flex;
      align-items: center;
      font-family: 'Playfair Display';
      font-style: normal;
      font-weight: 400;
      font-size: 18px;
      line-height: 26px;
      color: @g-gray500;
      cursor: pointer;

      i.icon-like {
        margin-right: 12px;
      }
      &:hover i::after {
        height: 20px;
        background-image: url('~@/static/icons/like/hover.svg');
      }
    }

    input[type='checkbox'] {
      display: none;
    }
    input[type='checkbox']:checked + label i::after,
    label:hover i::after {
      height: 20px;
      background-image: url('~@/static/icons/like/hover.svg');
    }
  }

  .showroom-stats {
    max-width: 408px;
    width: 100%;
    margin-top: 26px;
    margin-left: 102px;

    @media (min-width: 320px) and (max-width: 767px) {
      flex-wrap: wrap;
      max-width: 100%;
      order: 3;
      margin-left: 0;
      margin-bottom: 24px;

      .comment-label {
        display: none;
      }
    }

    @media (min-width: 768px) and (max-width: 1024px) {
      max-width: 317px;
      margin-top: 24px;
      margin-left: 0;

      .comment-label {
        display: none;
      }
    }

    .showroom-rating {
      display: flex;
      align-items: center;

      .rating {
        display: flex;
        align-items: flex-start;
        font-family: Playfair Display;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 16px;
        color: @g-gray100;
        &::before {
          content: '';
          width: 1px;
          height: 24px;
          background-color: @g-gray100;
          transform: rotate(30deg);
          margin: 0 6px;
        }
      }
    }

    .showroom-comments {
      display: flex;
      align-items: center;
      font-family: 'Playfair Display';
      font-style: normal;
      font-weight: 400;
      font-size: 16px;
      line-height: 21px;
      color: @g-gray300;

      .comment-count {
        display: flex;
        align-items: flex-start;
        font-family: Playfair Display;
        font-size: 18px;
        font-style: normal;
        font-weight: 400;
        color: @g-gray100;
        line-height: 1;
        margin-left: 13px;

        i {
          margin-right: 4px;
        }
      }
    }
  }
}
.showroom-contacts-wrapper {
  margin-bottom: 120px;

  h3 {
    margin-bottom: 32px;
  }

  .showroom-contacts {
    background-color: @g-gray;
    display: flex;

    @media (min-width: 320px) and (max-width: 540px) {
      flex-direction: column;
    }

    .contacts-map {
      position: relative;
      width: 100%;
      max-width: 526px;
      display: flex;

      @media (min-width: 768px) and (max-width: 1024px) {
        max-width: 310px;
      }

      @media (max-width: 767px) {
        height: 400px;
      }
    }

    .contacts-info {
      padding: 50px 40px 50px 25px;
      display: flex;
      flex-direction: column;
      flex: 1;

      @media (min-width: 768px) and (max-width: 1024px) {
        padding: 26px 24px;
      }

      .showroom-title {
        font-family: 'Playfair Display';
        font-style: normal;
        font-weight: 400;
        font-size: 24px;
        line-height: 32px;
        color: @g-black;
        margin-bottom: 32px;
      }

      .showroom-description {
        font-family: 'Cinzel';
        font-style: normal;
        font-weight: 400;
        font-size: 18px;
        line-height: 27px;
        color: @g-gray800;
        margin-bottom: 40px;
        white-space: pre-line;
      }

      .showroom-links {
        ul {
          display: block;

          li + li {
            margin-top: 12px;
          }

          a {
            font-family: 'Cinzel';
            font-style: normal;
            font-weight: 400;
            font-size: 18px;
            line-height: 24px;
            color: @g-gray800;
            text-decoration: none;

            &:hover {
              color: @g-gray500;
            }
          }
        }
      }

      .showroom-social {
        margin-top: 50px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        i {
          color: @g-black;
        }

        @media (min-width: 320px) and (max-width: 1024px) {
          margin-top: 24px;
          flex-direction: column;
          align-items: flex-start;
        }

        ul {
          display: flex;
          align-items: center;

          li + li {
            margin-left: 30px;
          }
        }

        .showroom-page {
          font-family: 'Playfair Display';
          font-style: normal;
          font-weight: 400;
          font-size: 16px;
          line-height: 21px;
          color: @g-gray800;
          text-decoration: none;
          display: flex;
          align-items: center;
          margin-left: auto;

          @media (min-width: 320px) and (max-width: 1024px) {
            margin-left: 0;
            margin-top: 32px;
          }

          &:hover {
            color: @g-gray500;
          }

          i {
            margin-left: 21px;
            color: @g-gray800;
          }
        }
      }
    }
  }
}
